[Pkg-gs-devel] r45 - gs-common/trunk/debian/patches

Masayuki Hatta mhatta at costa.debian.org
Sun Oct 22 23:26:31 UTC 2006


Author: mhatta
Date: Sun Oct 22 23:26:30 2006
New Revision: 45

Added:
   gs-common/trunk/debian/patches/01_assorted_script_fixes.dpatch   (contents, props changed)

Log:
Added a missing file.


Added: gs-common/trunk/debian/patches/01_assorted_script_fixes.dpatch
==============================================================================
--- (empty file)
+++ gs-common/trunk/debian/patches/01_assorted_script_fixes.dpatch	Sun Oct 22 23:26:30 2006
@@ -0,0 +1,63 @@
+#! /bin/sh -e
+## 01_assorted_scripts_fixes.dpatch by Masayuki Hatta <mhatta at debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Assorted fixes for scripts.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+diff -urN gs-common-0.3.11.orig/scripts/afmdiff.awk gs-common-0.3.11/scripts/afmdiff.awk
+--- gs-common-0.3.11.orig/scripts/afmdiff.awk	2006-10-21 05:41:33.000000000 +0900
++++ gs-common-0.3.11/scripts/afmdiff.awk	2006-10-21 05:46:47.000000000 +0900
+@@ -1,3 +1,4 @@
++#!/usr/bin/awk -f
+ ###=====================================================================
+ ### Read two Adobe Font Metric files, and compute tables of the
+ ### differences in character repertoire, declared widths (WX), and
+diff -urN gs-common-0.3.11.orig/scripts/dvipdf gs-common-0.3.11/scripts/dvipdf
+--- gs-common-0.3.11.orig/scripts/dvipdf	2006-10-21 05:41:33.000000000 +0900
++++ gs-common-0.3.11/scripts/dvipdf	2006-10-21 05:46:03.000000000 +0900
+@@ -42,4 +42,4 @@
+ 
+ # We have to include the options twice because -I only takes effect if it
+ # appears before other options.
+-exec dvips -q -f "$infile" | $GS_EXECUTABLE $OPTIONS -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile="$outfile" $OPTIONS -c .setpdfwrite -
++exec dvips -Ppdf -q -f "$infile" | $GS_EXECUTABLE $OPTIONS -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile="$outfile" $OPTIONS -c .setpdfwrite -
+diff -urN gs-common-0.3.11.orig/scripts/pv.sh gs-common-0.3.11/scripts/pv.sh
+--- gs-common-0.3.11.orig/scripts/pv.sh	2006-10-21 05:41:33.000000000 +0900
++++ gs-common-0.3.11/scripts/pv.sh	2006-10-21 05:45:11.000000000 +0900
+@@ -30,13 +30,13 @@
+ # executable name set in the makefile
+ GS_EXECUTABLE=gs
+ 
+-TEMPDIR=.
++TEMPFILE=`mktemp ${FILE}XXXXXX` || exit 1
+ PAGE=$1
+ shift
+ FILE=$1
+ shift
+-trap "rm -rf $TEMPDIR/$FILE.$$.pv" 0 1 2 15
++trap "rm -f $TEMPFILE" 0 1 2 15
+ #dvips -D$RESOLUTION -p $PAGE -n 1 $FILE $* -o $FILE.$$.pv
+-dvips -p $PAGE -n 1 $FILE $* -o $FILE.$$.pv
+-$GS_EXECUTABLE $FILE.$$.pv
++dvips -p $PAGE -n 1 $FILE $* -o $TEMPFILE
++$GS_EXECUTABLE $TEMPFILE
+ exit 0



More information about the Pkg-gs-devel mailing list